#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySummerPlanGoldenTouchCFGData
{
	//ID
	int mID;
	//类型
	int mType;
	//概率
	int mPro;
	//钻石花费
	int mCost;
	//奖励金币
	int mReward;
	//显示概率
	int mShowPro;
	//增加冰凉值
	int mAddColdValue;
};

class M_ActivitySummerPlanGoldenTouchCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanGoldenTouchCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanGoldenTouchCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivitySummerPlanGoldenTouchCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySummerPlanGoldenTouchCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySummerPlanGoldenTouchCFGData> mMapData;
};
